import { NzModalSubject, NzMessageService } from 'ng-zorro-antd';
import { Component, OnInit } from '@angular/core';
import { ModalHelper } from '@delon/theme';
import { HttpClient } from '@angular/common/http';
import { environment } from '../../../../../environments/environment';

@Component({
  selector: 'app-edit',
  templateUrl: './edit.component.html',
  styles: []
})
export class UserInstallerEditComponent implements OnInit {

  user: any;

  constructor(
    private modalHelper: ModalHelper,
    private subject: NzModalSubject,
    public msgSrv: NzMessageService,
    public http: HttpClient) { }

  ngOnInit() {
    if (this.user.id > 0) {
      this.http.get(environment.SERVER_BASH_URL + '/user/operate_user/' + this.user.id).subscribe((res: any) => this.user = res.data );
    }
  }

  save() {
    this.http.post(environment.SERVER_BASH_URL + '/user/operate_user/save', this.user).subscribe(() => {
      this.subject.next('true');
      this.close();
    });
  }

  close() {
    this.subject.destroy();
  }

}
